<p>directives works!</p>


<!-- 
 this is ngif
<div *ngIf="user;then pass;else fail">
    hi 
</div>
    <ng-template #fail>
      bye
    </ng-template>
    <ng-template #pass>
        it's ok
      </ng-template> -->
  
      <!-- this is ngFor -->
      <!-- <div *ngFor="let user of users">
        {{user.name}}{{user.dob}}
      </div> -->


    <input type=" text" [(ngModel)]="num">
    <div [ngSwitch]="num">
    <div *ngSwitchCase="1">
     hi 1
       </div>
    <div *ngSwitchCase="2">
     hi 2
       </div>
    <div *ngSwitchCase="3">
     hi 3
       </div>
    <div *ngSwitchCase="4">
     hi 4
       </div>
       
    <div *ngSwitchDefault>
     wrong number
       </div>



    </div>